import { Mindmap } from '..';
declare abstract class PersistenceManager {
    static _instance: PersistenceManager;
    save(mindmap: Mindmap, editorProperties: any, saveHistory: boolean, events: any, sync: boolean): void;
    load(mapId: string): Mindmap;
    abstract discardChanges(mapId: string): void;
    abstract loadMapDom(mapId: string): Document;
    abstract saveMapXml(mapId: string, mapXml: any, pref: any, saveHistory: any, events: any, sync: any): any;
    abstract unlockMap(mindmap: Mindmap): void;
    static init: (instance: PersistenceManager) => void;
    static getInstance(): PersistenceManager;
    static loadFromDom(mapId: string, mapDom: Document): Mindmap;
}
export default PersistenceManager;
